{% extends 'base.html.twig' %}

{% block body -%}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Mikrotik - {{ isEditing ? 'modifica' : 'creazione' }} pool</h1>
            {{ form_start(main_form) }}
            <div class="alert alert-warning">
                Attenzione: la modifica del range di ip o l'eliminazione del pool, comporterà la disassociazione di tali
                ip da un pool, e la conseguente cancellazione dal mikrotik.<br/>
                In caso vengano compresi nel range di un'altro pool di indirizzi, verranno riassociati (e rigenerati sul
                mikrotik) automaticamente
            </div>

            {{ form_errors(main_form) }}
            {{ form_row(main_form.nome) }}
            {{ form_row(main_form.mikrotik) }}
            <div class="row">
                <div class="col-11 col-md-10 col-sm-12 mb-3">
                    {{ form_widget(main_form.dhcpServerName, {'attr':{'class' : 'form-control'}}) }}
                </div>
                <div class="col-1 col-md-2 col-sm-12 d-grid gap-1 mb-3">
                    <button type="button" id="searchDhcpServerNameBt" name="searchDhcpServerNameBt"
                            class="btn btn-secondary" data-bs-toggle="modal"
                            data-bs-target="#searchDhcpServerNameModal">
                        Cerca
                    </button>
                </div>
            </div>
            {{ form_row(main_form.dottedIpStart) }}
            {{ form_row(main_form.dottedIpEnd) }}
            {{ form_row(main_form.creareSuMikrotik) }}
            {{ form_rest(main_form) }}

            <div class="row sendBtnArea">
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                    <button type="submit" class="btn btn-success">
                        Salva modifiche al pool di indirizzi
                    </button>
                </div>
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                    <a href="{{ path('mikrotik_pool') }}" class="btn btn-info">
                        Ritorna alla lista
                    </a>
                </div>
                {{ form_end(main_form) }}
                <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                    {% if isEditing %}
                    <a href="{{ path('mikrotik_pool_delete', { 'id': entity.id }) }}" class="btn btn-danger" onclick="return confirm('Sei sicuro di voler eliminare questo elemento?')">
                        Rimuovi questo pool</a>
                    {% endif %}
                </div>
            </div>

            <div class="modal fade" id="searchDhcpServerNameModal" tabindex="-1" aria-labelledby="searchDhcpServerNameModal" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="searchDhcpServerNameLabel">Seleziona nome server dhcp</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="form-group mb-3">
                                <select name="searchDhcpServerNameSelect" id="searchDhcpServerNameSelect"
                                        class="form-control">
                                </select>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button id="searchDhcpServerNameUseBt" type="button" class="btn btn-primary">Usa Nome Server</button>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Annulla</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        $(function ($) {
            var $dhcpServerNameInput = $('#mikrotik_pool_dhcpServerName');
            var $searchDhcpServerBt = $('#searchDhcpServerNameBt');
            var $searchDhcpServerNameUseBt = $('#searchDhcpServerNameUseBt');
            var $searchDhcpServerNameModal = $('#searchDhcpServerNameModal');
            var $mikrotikSelect = $('#mikrotik_pool_mikrotik');
            var $searchDhcpServerNameSelect = $('#searchDhcpServerNameSelect');

            $searchDhcpServerBt.click(function () {
                var mikrotikId = $mikrotikSelect.val();
                if (mikrotikId === null || mikrotikId === "") {
                    return;
                }

                $searchDhcpServerBt.text('Loading...');

                $.get("{{ path('config_mikrotik_get_dhcp_servers_name', {'id': "%id"}) }}".replace("%25id", mikrotikId), function (data) {
                    console.log(data);
                    if (!data || typeof data.names === "undefined") {
                        $searchDhcpServerBt.text('Cerca');
                        return;
                    }

                    var listItems = "";
                    for (var i in data.names) {
                        listItems += '<option value=' + data.names[i] + '>' + data.names[i] + '</option>';
                    }
                    $searchDhcpServerNameSelect.html(listItems);

                    $searchDhcpServerNameModal.modal();
                    $searchDhcpServerBt.text('Cerca');
                }, 'json').fail(function () {
                    $searchDhcpServerBt.text('Cerca');
                });

            });

            $searchDhcpServerNameUseBt.click(function () {
                $dhcpServerNameInput.val($searchDhcpServerNameSelect.val());
                $searchDhcpServerNameModal.modal('hide');
            })
        })
    </script>

{% endblock %}
